#
# spec file for package gmpc-lirc
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gmpc-lirc
Version:        0.20.0
Release:        3.2
Summary:        Gmpc Lirc Plugin
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://gmpcwiki.sarine.nl
Source0:        http://download.sarine.nl/download/Programs/gmpc/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  libtool
BuildRequires:  lirc-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gmpc)
%if 0%{?suse_version} > 1140
BuildRequires:  pkgconfig(egl)
%ifarch armv6l armv6hl
BuildRequires:  -raspberrypi-userland
BuildRequires:  Mesa-libEGL1
%endif
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       gmpc

%description
Gnome Music Player Client Plugin
Lirc plugin for gmpc.

%prep
%setup -q

%build
sed -i -e "s|/lib/|/%{_lib}/|g" src/Makefile.in src/Makefile.am
# sorry, no lirc.pc in opensuse
sed -i -e "s|liblircclient0 >= 0.8.0|gmpc >= 0.14.0|g" configure

autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%files
%defattr(-,root,root,-)
%dir %{_libdir}/gmpc
%dir %{_libdir}/gmpc/plugins
%{_libdir}/gmpc/plugins/lircplugin.la
%{_libdir}/gmpc/plugins/lircplugin.so

%changelog
* Thu Nov 13 2014 avvissu@yandex.ru
- Fix build on armv6l (exclude raspberrypi-userland)
- Use pkgconfig in package names
- Add BuildRequires: libtool pkgconfig
- Spec file cleanup
* Sun Jun 27 2010 detlef@links2linux.de
- new upstream version <0.20.0>
* Wed Sep 23 2009 detlef@links2linux.de
- new upstream version <0.19.0>
* Tue Mar 10 2009 detlef@links2linux.de 
- new upstream version <0.18.0>
* Sun Dec 28 2008 detlef@links2linux.de
- new upstream version <0.17.0>
* Mon Sep 22 2008 detlef@links2linux.de
- new upstream version <0.16.0>
* Tue Dec 18 2007 detlef@links2linux.de
- initial build for packman <0.15.5.0>
